Package org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.util

# Class TelemetryHistogramMetric

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.util.TelemetryHistogramMetric

public class TelemetryHistogramMetric extends Object
Allows tests to get the value of a Histogram, it does not support comparing with a baseline

Most tests should use `TelemetryMetricGetter` to create instances of this class.

## Constructor Summary

Constructors
Constructor
Description
`TelemetryHistogramMetric(TelemetryMetricID metricId)`

## Method Summary

Modifier and Type
Method
Description
`Optional<Long>`
`getHistogramCount()`
`Collection<io.opentelemetry.sdk.metrics.data.HistogramPointData>`
`getHistogramPoints()`
`boolean`
`isPresent()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TelemetryHistogramMetric

public TelemetryHistogramMetric(TelemetryMetricID metricId)

## Method Details

### getHistogramPoints

public Collection<io.opentelemetry.sdk.metrics.data.HistogramPointData> getHistogramPoints()

### getHistogramCount

public Optional<Long> getHistogramCount()

### isPresent

public boolean isPresent()